# CSync
A BepInEx configuration file syncing library.<br>
This library will help you force clients to have the same settings as the host!

For a setup and usage guide, please refer to the [wiki](https://lethal.wiki/dev/apis/csync).

## Features
- Can serialize a `ConfigEntry` with a drop-in replacement.
- No seperate config file system, retains BepInEx support.
- Uses `DataContractSerializer`, a fast and safer alternative to `BinaryFormatter`.
- Provides helpful extension methods.

## Important Notes
- This is **NOT** a standalone mod, it is intended for mod developers and does nothing on its own!
- This does **NOT** edit or replace config files directly, everything is done in-memory.
- It will **NOT** sync configs from mods that aren't dependent upon it.
- CSync uses Unity's [Named Messages](https://docs-multiplayer.unity3d.com/netcode/current/advanced-topics/message-system/custom-messages/#named-messages) to avoid **Netcode Patcher** and **NetworkBehaviour**.

## License
This project has the `CC BY-NC-SA 4.0` license.<br>
This means the following terms apply:

**Attribution**<br>
If you remix or adapt this project, appropriate credit must be given.<br>
Cloning the repo with intent to contribute is not subject to this.

**NonCommercial**<br>
You may not use this material for commercial purposes.

**ShareAlike**<br>
When remixing, adapting or building upon this material, you must
distribute the new material under the same license as the original.
